For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTCreate team webhook
      • DELDelete webhook
      • GETGet Webhook by ID
      • GETGet Webhooks for Account
      • PUTUpdate webhook

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWebhooks

Update webhook

PUT
https://api.frame.io/v2/hooks/:hook_id
PUT
/v2/hooks/:hook_id
1import requests
2
3url = "https://api.frame.io/v2/hooks/hook_id"
4
5payload = {
6 "name": "string",
7 "url": "string"
8}
9headers = {
10 "Authorization": "Bearer <token>",
11 "Content-Type": "application/json"
12}
13
14response = requests.put(url, json=payload, headers=headers)
15
16print(response.json())
1{
2 "account_id": "string",
3 "active": true,
4 "app_id": "string",
5 "deleted_at": "2024-01-15T09:30:00Z",
6 "events": [
7 "project.created"
8 ],
9 "id": "string",
10 "inserted_at": "2024-01-15T09:30:00Z",
11 "name": "string",
12 "project_id": "string",
13 "secret": "string",
14 "team": {
15 "account_id": "string",
16 "disable_sbwm_internally": false,
17 "creator_id": "string",
18 "storage": 0,
19 "default_font_color": "string",
20 "access": "private",
21 "font_color": "string",
22 "user_role": {},
23 "file_count": 0,
24 "default_session_watermark_template": {
25 "account_id": "string",
26 "app_default": false,
27 "creator_id": "string",
28 "id": "string",
29 "name": "string",
30 "watermark_blocks": [
31 {
32 "alpha": 0.5,
33 "data_points": [
34 {
35 "order": 1,
36 "type": "email",
37 "value": "string"
38 }
39 ],
40 "font_size": "medium",
41 "name": "string",
42 "position": "top_left",
43 "position_reference_point": "top_left",
44 "position_x": 1,
45 "position_y": 1,
46 "scroll_text": "none",
47 "text_alignment": "left",
48 "text_color": "#FFFFFF",
49 "text_shadow": false
50 }
51 ]
52 },
53 "link": "string",
54 "asset_lifecycle_policy": 1,
55 "upload_url": "string",
56 "admin_only_actions": {
57 "lifecycle": false
58 },
59 "deleted_at": "2024-01-15T09:30:00Z",
60 "default_background_color": "string",
61 "storage_limit": 1,
62 "location": "string",
63 "name": "string",
64 "default_color": "string",
65 "slack_webhook": {},
66 "image_64": "string",
67 "archived_storage": 0,
68 "image_128": "string",
69 "solo": false,
70 "account": {
71 "invoice_emails": [
72 "string"
73 ],
74 "city": "string",
75 "account_default_color": "string",
76 "company_name": "string",
77 "storage": 1,
78 "file_count": 1,
79 "owner": {
80 "digest_frequency": "string",
81 "image_32": "string",
82 "image_128": "string",
83 "from_google": true,
84 "mfa_enforced_at": "string",
85 "email": "string",
86 "name": "string",
87 "image_64": "string",
88 "timezone_value": "string",
89 "account_id": "string",
90 "updated_at": "string",
91 "image_256": "string",
92 "_type": "string",
93 "user_hash": "string",
94 "upload_url": "string",
95 "profile_image": "string",
96 "first_login_at": "string",
97 "joined_via": "string",
98 "id": "string",
99 "next_digest_date": "string",
100 "last_seen": "string",
101 "inserted_at": "string",
102 "from_adobe": true,
103 "avatar_color": "string",
104 "highest_account_role": "string",
105 "integrations": [
106 "string"
107 ],
108 "roles": {
109 "admin": true,
110 "id": "string",
111 "sales": true,
112 "support": true,
113 "service_desk": true
114 },
115 "user_default_color": "string"
116 },
117 "upload_url": "string",
118 "deleted_at": "2024-01-15T09:30:00Z",
119 "line1": "string",
120 "postal_code": "string",
121 "vat": "string",
122 "company_address": "string",
123 "lifetime_file_count": 1,
124 "state": "string",
125 "teams": [
126 null
127 ],
128 "image_64": "string",
129 "archived_storage": 1,
130 "image_128": "string",
131 "owner_id": "string",
132 "user_count": 1,
133 "locked_at": "2024-01-15T09:30:00Z",
134 "image": "string",
135 "team_count": 1,
136 "collaborator_role_count": 1,
137 "billing_emails": "string",
138 "image_32": "string",
139 "unpaid_at": "2024-01-15T09:30:00Z",
140 "inserted_at": "2024-01-15T09:30:00Z",
141 "updated_at": "2024-01-15T09:30:00Z",
142 "project_count": 1,
143 "duration": 1,
144 "delinquent_at": "2024-01-15T09:30:00Z",
145 "collaborator_count": 1,
146 "plan": {
147 "archived_storage_limit": 1,
148 "autoscaling": true,
149 "available_features": {
150 "archival_storage": true,
151 "custom_branded_emails": true,
152 "custom_branded_presentations": true,
153 "reel_player": true,
154 "secure_sharing": true,
155 "session_based_watermarking": true,
156 "team_only_comments": true
157 },
158 "collaborator_limit": 1,
159 "cost": 1,
160 "default_plan": true,
161 "deleted_at": "2024-01-15T09:30:00Z",
162 "enterprise": true,
163 "file_limit": 1,
164 "id": "string",
165 "inserted_at": "2024-01-15T09:30:00Z",
166 "lifetime_file_limit": 1,
167 "member_limit": 1,
168 "name": "string",
169 "payment_method": "stripe",
170 "period": "monthly",
171 "project_limit": 1,
172 "storage_limit": 1,
173 "team_limit": 1,
174 "tier": "free",
175 "title": "string",
176 "updated_at": "2024-01-15T09:30:00Z",
177 "user_limit": 1,
178 "user_max": 1,
179 "version": 1
180 },
181 "watermark": {
182 "image": {
183 "alpha": 0.5,
184 "image": {
185 "bucket": "string",
186 "key": "string",
187 "type": "image/jpeg",
188 "uploaded": false
189 },
190 "position": "top_left"
191 },
192 "text": {
193 "alpha": 0.5,
194 "lines": [
195 "string"
196 ],
197 "position": "top"
198 }
199 },
200 "folder_count": 1,
201 "id": "string",
202 "display_name": "string",
203 "country": "string",
204 "subscription": {
205 "account_id": "string",
206 "archived_storage_limit": 1,
207 "balance": 1,
208 "cancellation_option": "string",
209 "cancellation_reason": "string",
210 "cancelled_at": "2024-01-15T09:30:00Z",
211 "deleted_at": "2024-01-15T09:30:00Z",
212 "id": "string",
213 "inserted_at": "2024-01-15T09:30:00Z",
214 "last_payment_at": "2024-01-15T09:30:00Z",
215 "member_limit": 1,
216 "next_bill_at": "2024-01-15T09:30:00Z",
217 "on_trial": true,
218 "plan": {
219 "archived_storage_limit": 1,
220 "autoscaling": true,
221 "available_features": {
222 "archival_storage": true,
223 "custom_branded_emails": true,
224 "custom_branded_presentations": true,
225 "reel_player": true,
226 "secure_sharing": true,
227 "session_based_watermarking": true,
228 "team_only_comments": true
229 },
230 "collaborator_limit": 1,
231 "cost": 1,
232 "default_plan": true,
233 "deleted_at": "2024-01-15T09:30:00Z",
234 "enterprise": true,
235 "file_limit": 1,
236 "id": "string",
237 "inserted_at": "2024-01-15T09:30:00Z",
238 "lifetime_file_limit": 1,
239 "member_limit": 1,
240 "name": "string",
241 "payment_method": "stripe",
242 "period": "monthly",
243 "project_limit": 1,
244 "storage_limit": 1,
245 "team_limit": 1,
246 "tier": "free",
247 "title": "string",
248 "updated_at": "2024-01-15T09:30:00Z",
249 "user_limit": 1,
250 "user_max": 1,
251 "version": 1
252 },
253 "plan_id": "string",
254 "promotion_expires_at": "2024-01-15T09:30:00Z",
255 "promotion_id": "string",
256 "requires_autoscaling": true,
257 "storage_limit": 1,
258 "subscription_end_at": "2024-01-15T09:30:00Z",
259 "total_archived_storage_limit": 1,
260 "total_lifetime_file_limit": 1,
261 "total_member_limit": 1,
262 "total_project_limit": 1,
263 "total_storage_limit": 1,
264 "total_user_limit": 1,
265 "updated_at": "2024-01-15T09:30:00Z",
266 "user_limit": 1
267 },
268 "account_members": [
269 {
270 "accepted_at": "2024-01-15T09:30:00Z",
271 "account_id": "string",
272 "declined_at": "2024-01-15T09:30:00Z",
273 "deleted_at": "2024-01-15T09:30:00Z",
274 "inserted_at": "2024-01-15T09:30:00Z",
275 "role": "admin",
276 "updated_at": "2024-01-15T09:30:00Z",
277 "user_id": "string"
278 }
279 ],
280 "frames": 1,
281 "member_count": 1,
282 "image_256": "string"
283 },
284 "image_32": "string",
285 "inserted_at": "2024-01-15T09:30:00Z",
286 "updated_at": "2024-01-15T09:30:00Z",
287 "project_count": 0,
288 "duration": 0,
289 "team_image": "string",
290 "collaborator_count": 0,
291 "bio": "string",
292 "color": "string",
293 "email_branding": {
294 "accent_color": "string",
295 "background_color": "string",
296 "image": {
297 "bucket": "string",
298 "key": "string",
299 "type": "image/jpeg",
300 "uploaded": false
301 }
302 },
303 "folder_count": 0,
304 "dark_theme": false,
305 "default_session_watermark_template_id": "string",
306 "session_watermark_templates": [
307 {
308 "account_id": "string",
309 "app_default": false,
310 "creator_id": "string",
311 "id": "string",
312 "name": "string",
313 "watermark_blocks": [
314 {
315 "alpha": 0.5,
316 "data_points": [
317 {
318 "order": 1,
319 "type": "email",
320 "value": "string"
321 }
322 ],
323 "font_size": "medium",
324 "name": "string",
325 "position": "top_left",
326 "position_reference_point": "top_left",
327 "position_x": 1,
328 "position_y": 1,
329 "scroll_text": "none",
330 "text_alignment": "left",
331 "text_color": "#FFFFFF",
332 "text_shadow": false
333 }
334 ]
335 }
336 ],
337 "id": "string",
338 "member_limit": 1,
339 "frames": 0,
340 "member_count": 0,
341 "image_256": "string",
342 "background_color": "string"
343 },
344 "team_id": "string",
345 "updated_at": "2024-01-15T09:30:00Z",
346 "url": "string"
347}
Update the settings for a given Webhook via its ID
Was this page helpful?
Previous

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

hook_idstringRequired

Request

Webhook to create or update
namestringRequired
Name of the Webhook
urlstringRequired
HTTPS endpoint to delivery events to
eventslist of stringsOptional

Response

Webhook success response
account_idstringformat: "uuid"
activeboolean
app_idstringformat: "uuid"
deleted_atstringformat: "date-time"
eventslist of enums
idstringformat: "uuid"
inserted_atstringformat: "date-time"
namestring
project_idstringformat: "uuid"
secretstring
teamobject
team_idstringformat: "uuid"
updated_atstringformat: "date-time"
urlstring

Errors

401
Unauthorized Error
404
Not Found Error